
/*
 * Written by Scott Auge scott_auge@yahoo.com sauge@amduus.com
 * Copyright (c) 2001 Amduus Information Works, Inc.  www.amduus.com
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *      This product includes software developed by Amduus Information Works
 *      Inc. and its contributors.
 * 4. Neither the name of Amduus Information Works, Inc. nor the names of 
 *    its contributors may be used to endorse or promote products derived 
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY AMDUUS AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AMDUUS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 */


/*
 * Error.inc
 * Written by Scott Auge
 *
 * List of possible errors for the APIs
 *
 */

DEF VAR RCSVersionErrorinc AS CHARACTER INIT "$Header: /src/se/src/api/RCS/Error.inc,v 1.2 2001/01/10 19:08:00 root Exp sauge $" NO-UNDO.

&GLOBAL-DEFINE NOERROR		"OK"
&GLOBAL-DEFINE BADUSER		"BADUSER"
&GLOBAL-DEFINE NOTLOGGEDIN	"NOTLOGGEDIN"
&GLOBAL-DEFINE LOCKED		"LOCKED"
&GLOBAL-DEFINE NORECORD		"NORECORD"
&GLOBAL-DEFINE USEREXISTS	"USEREXISTS"
&GLOBAL-DEFINE NOUSER		"NOUSER"
&GLOBAL-DEFINE MISMATCHPASSWORD	"MISMATCHPASSWORD"
&GLOBAL-DEFINE INACTIVE  	"INACTIVE"
&GLOBAL-DEFINE INVALIDTYPE	"INVALIDTYPE"
&GLOBAL-DEFINE CUSTEXISTS	"CUSTEXISTS"
&GLOBAL-DEFINE DATAEXISTS	"DATA_EXISTS"
&GLOBAL-DEFINE BADSTATUS	"BAD_STATUS"
&GLOBAL-DEFINE BADPRIORITY	"BAD_PRIORITY"
&GLOBAL-DEFINE BADPOSITION	"BAD_POSITION"
&GLOBAL-DEFINE BADDATA		"BAD_DATA"
&GLOBAL-DEFINE NOPOSITION	"NO_POSITION"
&GLOBAL-DEFINE MISSINGPARM	"MISSING_PARM"

