/* Determine who the user is - if not logged in, they cannot come to this */
/* page.  Bounce an alert and issue a BackPage at em.                     */

DEF VAR lUser AS CHARACTER NO-UNDO.

ASSIGN lUser = GET-VALUE("UserID").

RUN api/state/GetLogin.p (INPUT lUser,
                          OUTPUT lLoginID,
                          OUTPUT pError).

FIND SystemUser NO-LOCK
WHERE SystemUser.LoginID = lLoginID
NO-ERROR.

IF NOT AVAILABLE SystemUser THEN DO:

  AlertBox ("Must be logged in with a valid ID to use this function").
  RETURN.

END.

